# A New Distribution Sensitive Index for Measuring Welfare, Poverty, and Inequality

Replication files for [Kraay ⓡ Lakner ⓡ Özler ⓡ Decerf ⓡ Jolliffe ⓡ Sterck ⓡ Yonzan (2023)](https://documents.worldbank.org/en/publication/documents-reports/documentdetail/099934305302318791). 

**Abstract**

Simple welfare indices such as mean income are ubiquitous but not distribution sensitive. In contrast, existing distribution sensitive welfare indices are rarely used, often because they are difficult to explain and/or lack intuitive units. We propose a simple new distribution sensitive welfare index with intuitive units:  the average factor by which individual incomes must be multiplied to attain a given reference level of income. This new index is subgroup decomposable with population weights and satisfies the three main definitions of distribution sensitivity in the literature. Variants on this index can be used as distribution sensitive poverty measures and as inequality measures, with the same simple intuitive units. We illustrate the properties of the new index using the global distribution of income across individuals between 1990 and 2019, as well as with selected country comparisons. Finally, we use the index to define the “prosperity gap” as a proposed new measure of “shared prosperity,” one of the twin goals of the World Bank. 

**Replication files**

All replication files are included in the "ReplicationPackage" folder. 

The raw input data are taken from [Mahler ⓡ Yonzan ⓡ Lakner (2022)](https://doi.org/10.1596/1813-9450-10198), based on the World Bank’s [Poverty and Inequality Platform](https://pip.worldbank.org/home) (version 20220909_2017_01_02_PROD). The raw input data are downloaded as part of the replication code. More details on how the raw input data are constructed are available [here](https://datacatalog.worldbank.org/search/dataset/0064304/1000-binned-global-distribution). 

**Reference**

Kraay, Aart ⓡ Lakner, Christoph ⓡ Özler, Berk ⓡ Decerf, Benoit ⓡ Jolliffe, Dean ⓡ Sterck, Olivier ⓡ Yonzan, Nishant. 2023. A New Distribution Sensitive Index for Measuring Welfare, Poverty, and Inequality. Policy Research Working Paper. World Bank, Washington, DC. https://documents.worldbank.org/en/publication/documents-reports/documentdetail/099934305302318791.  


